import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        class?: string;
        element?: HTMLElement;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type AcrylicSurfaceProps = typeof __propDef.props;
export declare type AcrylicSurfaceEvents = typeof __propDef.events;
export declare type AcrylicSurfaceSlots = typeof __propDef.slots;
/**
 * A component that provides an acrylic surface for content.
 * - Usage:
 * ```tsx
 * <div>
 *     <AcrylicSurface></AcrylicSurface>
 *     <div id="content">
 *         <h1>Acrylic Surface</h1>
 *     </div>
 * </div>
 * ```
 */
export default class AcrylicSurface extends SvelteComponentTyped<AcrylicSurfaceProps, AcrylicSurfaceEvents, AcrylicSurfaceSlots> {
}
export {};
