import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        open?: boolean;
        title?: string;
        closable?: boolean;
        closeOnBackdropClick?: boolean;
        closeButton?: boolean;
        enableClick?: boolean;
        placement?: "top" | "bottom" | "left" | "right";
        imagePlacement?: "top" | "bottom";
        src?: string;
        alignment?: "start" | "center" | "end";
        offset?: number;
        trapFocus?: boolean;
        class?: string;
        wrapperElement?: HTMLDivElement;
        anchorElement?: HTMLDivElement;
        menuElement?: HTMLDivElement;
        backdropElement?: HTMLDivElement;
        footerElement?: HTMLElement;
    };
    events: {
        open: CustomEvent<any>;
        close: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
        override: {};
        flyout: {};
        footer: {};
    };
};
export declare type TeachingTipWrapperProps = typeof __propDef.props;
export declare type TeachingTipWrapperEvents = typeof __propDef.events;
export declare type TeachingTipWrapperSlots = typeof __propDef.slots;
/**
 * TeachingTips represent a control that displays lightweight UI that is either information, or requires user interaction. Unlike a dialog, a TeachingTip can be dismissed by clicking or tapping outside of it, or pressing the Esc key. [Docs](https://fluent-svelte.vercel.app/docs/components/teaching-tip)
 * - Usage:
 * ```tsx
 * <TeachingTip>
 *     <Button>Button</Button>
 *     <svelte:fragment slot="teaching-tip">
 *         TeachingTip Contents
 *     </svelte:fragment>
 * </TeachingTip>
 * ```
 */
export default class TeachingTipWrapper extends SvelteComponentTyped<TeachingTipWrapperProps, TeachingTipWrapperEvents, TeachingTipWrapperSlots> {
}
export {};
